$ErrorActionPreference = 'Stop';

$packageName = 'CloudBerryExplorer.AmazonS3'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://www.cloudberrylab.com/download/CloudBerryExplorerSetup_v5.8.0.20_netv4.0.exe'
$url64      = 'http://www.cloudberrylab.com/download/CloudBerryExplorerSetup_v5.8.0.20_netv4.0.exe'

$installerPackage = Join-Path $toolsDir "CloudBerryExplorer.AmazonS3.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = '4f5af881c059c949d44ba33c1107b28ffa01e071d7624cbade32bdae17f7ae86'
  checksumType  = 'sha256'
  checksum64    = '4f5af881c059c949d44ba33c1107b28ffa01e071d7624cbade32bdae17f7ae86'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs

$installerAuto = Join-Path $toolsDir 'CloudBerryExplorer.AmazonS3.au3';
$installArgs = "/c autoit3 `"$installerAuto`" `"$installerPackage`""
Write-Host "Installing `'$installerPackage`' with AutoIt3 using `'$installerAuto`'"
Start-ChocolateyProcessAsAdmin "$installArgs" "cmd.exe"
